> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-solidity-api/dex-exchange/getexchangebyid.md).

# GetExchangeById

Query exchange pair based on id (Confirmed state).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `id` - Int32 - Transaction Pair ID

## **Returns**

| Field                  | Type   | Description          |
| ---------------------- | ------ | -------------------- |
| exchange\_id           | int64  | Exchange pair ID     |
| creator\_address       | string | Creator address      |
| create\_time           | int64  | Creation time        |
| first\_token\_id       | string | First token ID       |
| first\_token\_balance  | int64  | First token balance  |
| second\_token\_id      | string | Second token ID      |
| second\_token\_balance | int64  | Second token balance |

```json
// Result
{
  "exchange_id": 1,
  "creator_address": "410ca7c49aa44d26aabfe7f594c645cf9f17a4ff70",
  "create_time": 1575754887000,
  "first_token_id": "31303030303033",
  "first_token_balance": 9,
  "second_token_id": "5f",
  "second_token_balance": 240000000
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/getexchangebyid \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"id":1}'
```

{% endtab %}
{% endtabs %}
